<?php
session_start();
$where 					= " WHERE 1=1 ";
$next_page_condition 	= "";
$paging ="";
if($_REQUEST['start']){
	$paging .="&start=".$_REQUEST['start'];
} 
$supplier_id = utility::app_crypt($_REQUEST['supplier_id'],'d');
if($_REQUEST['id'] != $supplier_id){
	die("Invaild URL");
}
$restricted_groups = [12, 13, 14];
$can_view = !in_array($_SESSION['admin_group_id'], $restricted_groups);
###########################################  STRAT FILTER CONDITIONS    #####################################
$search_supplier_name 	= isset($_REQUEST['search_supplier_name']) ? $_REQUEST['search_supplier_name'] : "";
$search_supplier_input = mysqli_real_escape_string($conn, $search_supplier_name);
if($search_supplier_name) {
    $where	.= " AND supplier_name Like '%$search_supplier_input%' ";
    $next_page_condition .= "&supplier_name=" . urlencode($search_supplier_name);
}
$search_supplier_code_input 	= isset($_REQUEST['search_supplier_code']) ? $_REQUEST['search_supplier_code'] : "";
$search_supplier_code = mysqli_real_escape_string($conn, $search_supplier_code_input);
if($search_supplier_code_input) {
    $where	.= " AND supplier_code LIKE '%$search_supplier_code%' ";
    $next_page_condition .= "&supplier_code=" . urlencode($search_supplier_code_input);
}

###########################################  	END  FILTER CONITIONS 	#####################################
###########################################  PAGING WITH PER PAGE  #####################################
$file_name		= "index"; // this is file name which is used during paging  , included at the bottom of the page
$table_name		= "supplier_management";
$paging_table_name	= $table_name;
$paging_query		= $where;
$join_query_for_paging = "SELECT * FROM $table_name  $where ";
$page_header = "Supplier Management";
include("paging/paging_query.inc.php");
############################################ END PAGING WITH PER PAGE  #######################################
$query = "SELECT * FROM $table_name $where ORDER BY id DESC LIMIT $eu, $limit";
$sql=mysqli_query($conn,$query);
$result=mysqli_num_rows($sql);

$total_no_of_records = mysqli_num_rows(mysqli_query($conn,$join_query_for_paging));
#################################   DELETE    #########################################
// when we click on delete this area of php code will execute
if(isset($_REQUEST['action']) && $_REQUEST['action']=='delete')
{
	mysqli_query($conn,"DELETE FROM $table_name WHERE id = '".$_REQUEST['id']."' ");
	mysqli_query($conn,"DELETE FROM supplier_accreditation_mapping WHERE supplier_id = '".$_REQUEST['id']."' ");
	
	$_SESSION['info_message'] = "Supplier deleted successfully";
	header("location: $file_name?page=view".$next_page_condition.$paging);
	exit();
}
#################################  END DELETE    #########################################
?>

<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-12">
                <h1 class="m-0"><?=$page_header;?></h1>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
</div>
<section class="content">
	<div class="container-fluid">
		<div class="row">
			<div class="col-lg-12">
				<div class="card">
					<!----------------------- Message ------------------------------->
					<? if(isset($_SESSION['info_message'])){ ?>
					  <div class="alert alert-info alert-dismissable">
						<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
						<? echo $_SESSION['info_message']; unset($_SESSION['info_message']);?>
					  </div>
					  <? } ?>
					<!----------------------- End Message ------------------------------->
						<div class="card-body">
						<!-- search form -->
						<?php include_once('supplier_search_options.inc.php');?>
						<!-- /.search form -->
						Total No. of Suppliers: <?=$total_no_of_records;?>
						
							<form action="index?page=add" method="post" name="form1" id="form1">
							<div class="card-footer">
							<?php if($can_view){ ?>
							   <button type="submit" name="add" class="btn btn-primary">Add Supplier</button>
							<?php } ?>   
							   <?/* if(!$is_archive){ ?>
								<button type="button" name="archive_cause" id="archive_cause" class="btn btn-warning pull-right" style="float:right;">Archive</button>
								<? }else{ ?>
								<button type="button" name="unarchive_cause" id="unarchive_cause" class="btn btn-warning pull-right" style="float:right;">Unarchive</button>
								<? }*/ ?>
							</div>
							<? if($result>0){?>
							<div class="table-responsive">
							 <table id="example1" class="table table-bordered table-striped">
								<thead>
								  <tr>
									<!--<th>#</th>-->
									<th>Supplier Name</th>
									<th>Supplier Code</th>
									<th>Address</th>
									<?php if($can_view){ ?>
									<th>Edit</th>
									<th>Delete</th>
									<?php } ?>
								  </tr>
								</thead>
								<tbody>
									<?
										while($row =mysqli_fetch_array($sql)){ 
										$row=utility::validate_crypt_data($row);
									?>
								  <tr>
								    <td nowrap>
										<a href="index?page=view_supplier_progress&from=view&supplier_id=<?=urlencode(utility::app_crypt($row['id'],'e'));?>&id=<?=$row['id'].$next_page_condition.$paging;?>" class="text-primary"><?php echo ucfirst($row["supplier_name"]);?>
										</a>
									</td>
									<td><?php echo $row["supplier_code"];?></td>
									<td><?php  
										$address = "";
										if(isset($row["address_1"]) && $row["address_1"] !=""){
											$address .= $row["address_1"].", ";
										}
										if(isset($row["address_2"]) && $row["address_2"] !=""){
											$address .= $row["address_2"].", ";
										}
										if(isset($row["address_3"]) && $row["address_3"] !=""){
											$address .= $row["address_3"].", ";
										}
										if(isset($row["invoice_add_postcode"]) && $row["invoice_add_postcode"] !=""){
											$address .= $row['invoice_add_postcode'];
										}
										echo $address;
										?>
								    </td>
									<?php if($can_view){ ?>
									<td><a href="index?page=add&action=edit&supplier_id=<?=urlencode(utility::app_crypt($row['id'],'e'));?>&id=<?=$row['id'].$next_page_condition.$paging;?>"> <i class="fa fa-fw fa-edit text-primary"></i> </a></td>
									<td><a href="index?page=view&action=delete&supplier_id=<?=urlencode(utility::app_crypt($row['id'],'e'));?>&id=<?=$row['id'].$next_page_condition.$paging; ?>"onclick=" javascript:return confirm('Are you sure you want to delete?');"><i class="fa fa-fw fa-trash text-danger"></i> </a></td>
									<?php } ?>
								  </tr>
									<? } ?>
									
								</tbody>
							 </table>
							 </div>
							 <? }else{ ?>
								No Supplier found...
							 <? } ?>
							<div class="box-footer clearfix">
								<!-- Paging starts here  -->
								<? 
								$next_page_condition .="&page=view";
								include("paging/paging_row.inc.php") 
								?>
								<!-- Paging ends starts here  -->
							</div>
						</div>
						<div class="card-footer hide">
						<?php if($can_view){ ?>
						   <button type="submit" name="add" class="btn btn-primary">Add Supplier</button>
						<?php } ?>   
						</div>
						</form>
				</div>
			</div>
		</div>
	</div>
</section>

<script type="text/javascript">
$(function () {
	$(".close_button").click(function(){
		$(".modal_iframe").attr("src","");
	});
	///////////////////////////// START ARCHIVING/UNARCHIVING cause///////////////////////////////////////
	$("#archive_cause").click(function(){
		if ($(".checkbox:checked").length == 0){
			alert("Please select cause");
			return false;
		}
		if(confirm("Are you sure you want archive the selected cause(s).")){
			$('#form1').attr("action","index?page=view&action=archive<?=$next_page_condition.$paging;?>");
			$('#form1').submit();
		}
	});
	$("#unarchive_cause").click(function(){
		if ($(".checkbox:checked").length == 0){
			alert("Please select cause");
			return false;
		}
		if(confirm("Are you sure you want unarchive the selected cause(s).")){
			$('#form1').attr("action","index?page=view&action=unarchive<?=$next_page_condition.$paging;?>");
			$('#form1').submit();
		}
	});
	///////////////////////////// START ARCHIVING/UNARCHIVING cause///////////////////////////////////////
	$('#check_all').click(function(){
        if($("#check_all:checked").length == 1){
            $('.checkbox').prop( "checked", true );
        }else{
            $('.checkbox').prop( "checked", false );
        }
    });
});
</script>